Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.notification
Class NotificationTarget

    java.lang.Object
      org.jboss.soa.esb.notification.NotificationTarget

Direct Known Subclasses:
  NotifyConsole, NotifyEmail, NotifyFiles, NotifyFTP, NotifyJMS, NotifySqlTable, NotifyTcp

    public abstract class NotificationTarget

extends java.lang.Object

Abstract class to define expected behaviour of all NotificationTargets and provide some common functionality to all of them

Description:

Heuristica - Buenos Aires - Argentina

Version:
  1.0

Field Summary
`protected ConfigTree` | `m_oParms` Common object to hold details of object's information - Each derived class will hold it's own needs
`static java.lang.String` | `PRM_NOTIF_CLASS`

Constructor Summary
`protected` | `NotificationTarget()` Instantiate an empty NotificationTarget object
`protected` | `NotificationTarget(ConfigTree p_oP)` Instantiate a NotificationTarget object with the information contained in <arg 1>

Method Summary
`static NotificationTarget` | `fromParams(ConfigTree p_oP)` A typical Factory.getInstance() method
`abstract void` | `sendNotification(Message message)` Derived classes must implement this method to do what has to be done to trigger that specific type of notification event

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PRM_NOTIF_CLASS

    public static final java.lang.String PRM_NOTIF_CLASS

See Also:
  Constant Field Values

### m_oParms

    protected ConfigTree m_oParms

  Common object to hold details of object's information - Each derived class will hold it's own needs

Constructor Detail

### NotificationTarget

    protected NotificationTarget()

  Instantiate an empty NotificationTarget object

### NotificationTarget

    protected NotificationTarget(ConfigTree p_oP)

  Instantiate a NotificationTarget object with the information contained in <arg 1>

  Parameters:
    `p_oP` - ConfigTree - Holds details to instantiate this object

Method Detail

### sendNotification

    public abstract void sendNotification(Message message)
                                   throws NotificationException

  Derived classes must implement this method to do what has to be done to trigger that specific type of notification event

  Parameters:
    `message` - Object - The toString() method of this object will be the actual notification content
  Throws:
    `NotificationException` - - invoke Exception.getMessage() at runtime for this object
  See Also:
    `ConfigTree`

### fromParams

    public static NotificationTarget fromParams(ConfigTree p_oP)
                                         throws ConfigurationException

  A typical Factory.getInstance() method

  Parameters:
    `p_oP` - ConfigTree - Contents of this argument will determine the type (derived class) of NotificationTarget returned
  Returns:
    NotificationTarget - An object that instantiates the NotificationTarget abstract class
  Throws:
    `ConfigurationException` - - Arg 1 does not contain a valid structure for currently implemented NotificationTarget subclasses - invoke Exception.getMessage() at runtime for details

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD